<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.organize.SzDepart" %>
<%@ page import="net.sz600.organize.SzDepartInfo" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));

    //读取数据
    SzDepart depart = new SzDepart();
    SzDepartInfo departInfo = null;
    String sCond = "BMGSID=" + szCOMPANY_SESSION;
    String sSortField = "BMBH";
    int iSortOrder = SzProperties.I_SortOrder_ASC;
    int iCurrentPage = 1;
    try {
        iCurrentPage =  Integer.parseInt(sPage);
    }catch(Exception e) {
    }
    Iterator iter = depart.getArrayList(sCond, sSortField, iSortOrder, iCurrentPage, sSearch).iterator();
    SzPageInfo pageInfo = depart.getPageInfo();
    int iPageCount = pageInfo.getPageCount();
    int iRecordCount = pageInfo.getRecordCount();
    iCurrentPage = pageInfo.getCurrentPage();
    int i = 0;

%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp" %>
<table width="100%">
  <tr>
    <td>
      <input type="button" name="btnAdd" class="btnClass" value="添加" OnClick="javascript:GoUrl('update.jsp?OPERATOR=add&KEY=0');">
      <input type="button" name="btnDel" class="btnClass" value="删除" OnClick="javascript:FormSubmitConfirm(formList, 'control.jsp?OPERATOR=delete', '确定要删除？');">
    </td>
  </tr>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <input type="hidden" name="page" value="<%=iCurrentPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <tr class="trClassTitle">
    <td width="5"><input type="checkbox" name="chkCheckAll" OnClick="javascript:CheckAll(formList, chkCheckAll, 'chkId', 'chkId2');"></td>
    <td>部门名称</td>
    <td>部门负责人职务</td>    
    <td>部门负责人姓名</td>     
    <td width="40">操作</td>
  </tr>
<%
    while (iter != null && iter.hasNext()) {
        departInfo = (SzDepartInfo)iter.next();
        i++;
%>
  <tr  onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td width="5"><input type="checkbox" name="chkId" id="chkId" value="<%=departInfo.getBMBH()%>" >
    </td>
    <td><%=SzLevelNumber.getLevelSpace(departInfo.getBMBH())%><%=departInfo.getBMMC()%></td>
    <td>
      <%=SzUserHelp.getPostName(departInfo.getBMFZRY())%>&nbsp;
    </td> 
    <td>         
      <%=SzUserHelp.getLoginName(departInfo.getBMID(), departInfo.getBMFZRY())%>&nbsp;
    <td><a href="javascript:FormSubmit(formPage,'update.jsp?OPERATOR=update&KEY=<%=departInfo.getBMID()%>');">修改</a></td>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(i, SzProperties.I_PageSize, 5));
%>

  </form>
</table>

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  <tr>
    <td align="right">
      <%@ include file="/share/page/page_include.jsp"%>
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript">
  //第一个表示对象，form，第二个表示字符串
  function FormSubmit(oFormName, vUrl) {
  	//if (confirm("确定要删除？")) {
    	oFormName.action = vUrl;
    	oFormName.submit();
  	//}
  }
  function FormSubmitConfirm(oFormName, vUrl, vMessage) {
     if (confirm(vMessage)) {
    	oFormName.action = vUrl;
    	oFormName.submit();
     }
  }

  function GoUrl(vUrl) {
    document.location.href = vUrl;
  }

  //javascript参数的调用：
  //checkAll(formList,chkCheckAll,'chkId')
  //第一个表示对象，第二个表示对象，第三个表示字符串
  function CheckAll(oFormList, oChkCheckAll, vChkId, vChkId2) {
    var e;
    for (var i=0; i<oFormList.elements.length; i++) {
      e = oFormList.elements[i];
      if (e.name == vChkId) {
        e.checked = oChkCheckAll.checked;
      }
    }
  }
</script>